TypeAlias.IntentWithWallet
type IntentWithWallet = {
amountNative: string;
amountRef: string;
approvedAmountRef?: string | null;
asset: string;
consumedAt?: string | null;
createdAt: string;
currentAmountRef?: string | null;
decidedAt?: string | null;
decidedBy?: string | null;
events: {
amountRef: string;
at: string;
kind: | "expired"
| "consumed"
| "created"
| "human_approved"
| "human_declined"
| "agent_abandoned"
| "revalidated"
| "revalidation_required"
| "settlement_failed";
}[];
expiresAt?: string | null;
hash: string;
id: string;
kind: string;
recipient: string;
resource?: string | null;
state: | "failed"
| "expired"
| "pending_human_approval"
| "approved"
| "declined"
| "abandoned"
| "consumed";
updatedAt: string;
wallet: {
id: string;
label: string;
network: string;
};
};
A policy intent enriched with its owning agent wallet, as returned by
GET /v1/agent-wallets/intents. Used by the admin intent-validation page.